package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：蓬叁
 * @Package：com.bwie.auth.controller
 * @Project：maven-week2-exam
 * @name：AuthController
 * @Date：2024/7/30 上午9:29
 */
@RestController
@RequestMapping("/auth")
public class AuthController {

    @Autowired private AuthService authService;

    /**
     * 登录
     */
    @PostMapping("/login")
    public Result<JwtResponse> login(@RequestBody User user){
        Result<JwtResponse> result = authService.login(user);
        return result;
    }

    /**
     * info
     */
    @GetMapping("/info")
    public Result info(){
        User user = authService.info();
        return Result.success(user);
    }

}
