package com.bwie.auth.feign.impl;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.A;
import com.bwie.auth.feign.AuthFeign;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author：蓬叁
 * @Package：com.bwie.auth.feign.impl
 * @Project：maven-week2-exam
 * @name：AuthFeignImpl
 * @Date：2024/7/30 上午9:27
 */
@Component
public class AuthFeignImpl implements FallbackFactory<AuthFeign> {
    @Override
    public AuthFeign create(Throwable cause) {
        return new AuthFeign() {
            @Override
            public Result<User> findByUserName(String userName) {
                return Result.error("网络溜号了...");
            }
        };
    }
}
