package com.bwie.home.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author：蓬叁
 * @Package：com.bwie.home.feign
 * @Project：maven-week2-exam
 * @name：UserFeign
 * @Date：2024/7/30 下午1:03
 */
@FeignClient("bwie-user")
public interface UserFeign {
    @PostMapping("/user/updateUserCount")
    public Result<Object> updateUserCount(@RequestParam Integer userId);
    @PostMapping("/user/findById")
    public Result<User> findByUserId(@RequestParam Integer userId);
}
