package com.bwie.home.feign.impl;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.home.feign.UserFeign;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author：蓬叁
 * @Package：com.bwie.home.feign.impl
 * @Project：maven-week2-exam
 * @name：UserFeignImpl
 * @Date：2024/7/30 下午1:04
 */
@Component
public class UserFeignImpl implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable cause) {
        return new UserFeign() {
            @Override
            public Result<Object> updateUserCount(Integer userId) {
                return Result.error("网络出差了...");
            }
            @Override
            public Result<User> findByUserId(Integer userId) {
                return Result.error("网络干饭中...");
            }

        };
    }
}
