package com.bwie.home.mapper;

import com.bwie.common.domain.HomeLoanApproval;
import com.bwie.common.domain.HousingCycle;
import com.bwie.common.domain.Type;
import com.bwie.common.domain.dto.HomeDTO;
import com.bwie.common.domain.vo.HomeLoanApprovalVo;
import com.bwie.common.domain.vo.HomeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.bwie.home.mapper
 * @Project：maven-week2-exam
 * @name：HomeMapper
 * @Date：2024/7/30 上午10:44
 */
@Mapper
public interface HomeMapper {
    List<HomeVo> homeList(HomeDTO homeDTO);

    List<Type> typeList();

    List<HousingCycle> housingCycleList();

    HomeLoanApproval findByHomeLoanApprovalUserId(Integer userId);

    Integer addHomeLoanApprovalMsg(HomeLoanApproval homeLoanApproval);

    void updateHomeState(Integer homeId);

    List<HomeLoanApprovalVo> selectHomeLoanApprovalList();

    List<HomeLoanApprovalVo> findHomeApplicationMsg();

    void updateHomeLoanApprovalState(@Param("loanApprovalId") Integer loanApprovalId, @Param("state") Integer state);

    void updateHomeMsgState(Integer homeId);
}
