package com.bwie.home.service.impl;

import com.bwie.common.domain.HomeLoanApproval;
import com.bwie.common.domain.HousingCycle;
import com.bwie.common.domain.Type;
import com.bwie.common.domain.dto.HomeDTO;
import com.bwie.common.domain.vo.HomeLoanApprovalVo;
import com.bwie.common.domain.vo.HomeVo;
import com.bwie.common.result.Result;
import com.bwie.home.feign.UserFeign;
import com.bwie.home.mapper.HomeMapper;
import com.bwie.home.service.HomeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：蓬叁
 * @Package：com.bwie.home.service.impl
 * @Project：maven-week2-exam
 * @name：HomeServiceImpl
 * @Date：2024/7/30 上午10:44
 */
@Service
public class HomeServiceImpl implements HomeService {

    @Autowired private HomeMapper homeMapper;
    @Autowired private UserFeign userFeign;

    @Override
    public List<HomeVo> homeList(HomeDTO homeDTO) {
        return homeMapper.homeList(homeDTO);
    }

    @Override
    public List<Type> typeList() {
        return homeMapper.typeList();
    }

    @Override
    public List<HousingCycle> housingCycleList() {
        return homeMapper.housingCycleList();
    }

    @Override
    public Result<Object> findByHomeLoanApprovalUserId(Integer userId) {
        HomeLoanApproval homeLoanApproval = homeMapper.findByHomeLoanApprovalUserId(userId);
        if (null != homeLoanApproval){
            return Result.success(false);
        }
        return Result.success(true);
    }

    @Override
    public Integer addHomeLoanApprovalMsg(HomeLoanApproval homeLoanApproval) {
        userFeign.updateUserCount(homeLoanApproval.getUserId());
        homeMapper.updateHomeState(homeLoanApproval.getHomeId());
        return homeMapper.addHomeLoanApprovalMsg(homeLoanApproval);
    }

    @Override
    public List<HomeLoanApprovalVo> selectHomeLoanApprovalList() {
        return homeMapper.selectHomeLoanApprovalList();
    }

    @Override
    public List<HomeLoanApprovalVo> findHomeApplicationMsg() {
        return homeMapper.findHomeApplicationMsg();
    }

    @Override
    public void updateHomeLoanApprovalState(Integer loanApprovalId, Integer state) {
         homeMapper.updateHomeLoanApprovalState(loanApprovalId,state);
    }

    @Override
    public void updateHomeState(Integer homeId) {
        homeMapper.updateHomeMsgState(homeId);
    }
}
