package com.bwie.rabbitmq.consumer;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Notification;
import com.rabbitmq.client.Channel;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
@Log4j2
public class MsgConsumer {
    @RabbitListener(queuesToDeclare = {@Queue("send_msg")})
    public void sendMsg(String sendMsg, Message message, Channel channel){
        try {
            Notification notification = JSON.parseObject(sendMsg, Notification.class);
            log.info("消费者消费消息:{}",notification);
            System.out.println(
                    "用户:"+notification.getUserName()
                    +",您在 "+notification.getLoanApprovalDate()
                    +" 时间,提交住房名称:"+notification.getHouseName()
                    +"租房时期为:"+notification.getHousingCycleName()
                    +",的申请已被驳回,原因为:您的用户信用积分过低.请您提升自己的信用积分后再次尝试.");
            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
        } catch (IOException e) {
            try {
                channel.basicReject(message.getMessageProperties().getDeliveryTag(),true);
            } catch (IOException ex) {
                throw new RuntimeException(ex);
            }
        }

    }
}
