package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：蓬叁
 * @Package：com.bwie.user.controller
 * @Project：maven-week2-exam
 * @name：UserController
 * @Date：2024/7/30 上午9:24
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired private UserService userService;

    /**
     * 根据用户名查找用户信息
     * @param userName
     * @return
     */
    @PostMapping("/findByUserName")
    public Result<User> findByUserName(@RequestParam String userName){
        return Result.success(userService.findByUserName(userName));
    }

    /**
     * 根据用户ID查找用户是否使用过优惠
     */
    @PostMapping("/findByUserId")
    public Result<User> findByUserId(@RequestBody User user){
        return Result.success(userService.findByUserId(user));
    }

    /**
     * 根据ID修改优惠次数
     */
    @PostMapping("/updateUserCount")
    public Result<Object> updateUserCount(@RequestParam Integer userId){
        return Result.success(userService.updateUserCount(userId));
    }

    /**
     * 根据ID查找用户信用积分
     */
    @PostMapping("/findById")
    public Result<User> findById(@RequestParam Integer userId){
        return Result.success(userService.findById(userId));
    }

}
